Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031936
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2016-01-19 06:052016-03-17 10:55
ReporteryogaskarnikView Statuspublic 
Assigned Tononofrancisco 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision24252e1edbaa
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031936: Physical Inventory - Create Inventory Count List does not work when quantity left blank

DescriptionCreate Inventory Count List does not consider all the products when quantity left blank.
Steps To Reproduce1. Login to pi
2. Go to Warehouse Management || Transaction || Physical Inventory
3. Create a new record - Organization=F&B US East Coast
4. Click on "Create Inventory Count List" and select "Inventory Count"=blank
5. Observe that the product="Energy Drink" does not appear in the lines
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0083619)
nonofrancisco (developer)
2016-01-26 18:35

This seems not to be an issue.

The product Energy Drink does not appears in lines after click on "Create Inventory Count List" because the product not does not exists in East Coast Warehouse.
Move some quantity of the product from West Coast Warehouse to East Coast Warehouse and do the process again.
Realize the product is in the lines.

Test Plan:

As Openbravo / F&B International Group Admin
Go to Warehouse Management || Transaction || Physical Inventory
Create a new record - Organization=F&B US East Coast
Click on "Create Inventory Count List" and select "Inventory Count"=blank
Observe that the product="Energy Drink" does not appear in the lines

Go to Stock Report
  Product: Energy Drink
  Verify the product is available only in US West Coast
  
Go to Goods Movements
  Create a new redord
    Organization: F&B Us Inc.
  Create a new line
    Product: Energy Drink
    Storage Bin: WC-0-0-0
    New Storage Bin: EC-0-0-0
    Movement quantity: 10
    Process the movement
    
Go to Stock Report
  Product: Energy Drink
  Verify the product is now available in US West Coast and US East Coast
    
Go to Warehouse Management || Transaction || Physical Inventory
Create a new record - Organization=F&B US East Coast
Click on "Create Inventory Count List" and select "Inventory Count"=blank

Notice the product Energy Drink appears in the lines.
(0083630)
yogaskarnik (reporter)
2016-01-27 04:27

Sine the Product: Energy Drink does not have any stock in F&B US East Coast, the product should appear in the inventory count list. The wiki documentation (http://wiki.openbravo.com/wiki/Physical_Inventory#Header [^]) says -

Inventory quantity: Includes or excludes products on physical inventory depending on actual quantities. The options available are:
empty - all product on physical inventory will be shown regardless its quantity

Regardless of the quantity the product should appear in inventory count list.
(0083641)
nonofrancisco (developer)
2016-01-27 17:20

Test Plan:

As Openbravo / F&B International Group Admin
Go to Warehouse Management || Transaction || Physical Inventory
Create a new record - Organization=F&B US East Coast
Click on "Create Inventory Count List" and select "Inventory Count"=blank

Notice the product Energy Drink appears in the lines.
(0083714)
hgbot (developer)
2016-01-29 09:40

Repository: erp/devel/pi
Changeset: 24252e1edbaac0fb1cf68143f0045d5f897de78f
Author: Nono Carballo <f.carballo <at> nectus.com>
Date: Wed Jan 27 00:44:55 2016 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/24252e1edbaac0fb1cf68143f0045d5f897de78f [^]

Fixes Issue 31936: The SQL query of M_INVENTORY_LISTCREATE store procedure was
tuned to take care about null values.

The SQL query to retrieve the products that will be part of the lines was tuned
to take care about null values in aset.isoneattrsetvalrequired field.
The line AND aset.isoneattrsetvalrequired = 'Y' was replaced with
AND COALESCE(aset.isoneattrsetvalrequired, '-') = 'Y'

---
M src-db/database/model/functions/M_INVENTORY_LISTCREATE.xml
---
(0083715)
vmromanos (developer)
2016-01-29 09:40

Code review + testing OK
(0085087)
hudsonbot (developer)
2016-03-17 10:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-01-19 06:05 yogaskarnik New Issue
2016-01-19 06:05 yogaskarnik Assigned To => Triage Finance
2016-01-19 06:05 yogaskarnik Modules => Core
2016-01-19 06:05 yogaskarnik Triggers an Emergency Pack => No
2016-01-22 22:17 nonofrancisco Assigned To Triage Finance => nonofrancisco
2016-01-22 22:17 nonofrancisco Status new => scheduled
2016-01-26 18:35 nonofrancisco Note Added: 0083619
2016-01-27 04:27 yogaskarnik Note Added: 0083630
2016-01-27 17:20 nonofrancisco Note Added: 0083641
2016-01-29 09:40 hgbot Checkin
2016-01-29 09:40 hgbot Note Added: 0083714
2016-01-29 09:40 hgbot Status scheduled => resolved
2016-01-29 09:40 hgbot Resolution open => fixed
2016-01-29 09:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/24252e1edbaac0fb1cf68143f0045d5f897de78f [^]
2016-01-29 09:40 vmromanos Review Assigned To => vmromanos
2016-01-29 09:40 vmromanos Note Added: 0083715
2016-01-29 09:40 vmromanos Status resolved => closed
2016-03-17 10:55 hudsonbot Checkin
2016-03-17 10:55 hudsonbot Note Added: 0085087


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker